# Uses of Interface
org.eclipse.ui.wizards.IWizardDescriptor

Packages that use IWizardDescriptor
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.wizards
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface wizard support.

## Uses of IWizardDescriptor in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return IWizardDescriptor
Modifier and Type
Method
Description
`protected IWizardDescriptor`
WizardActionGroup.`getDescriptor(String id)`
Constructor parameters in org.eclipse.ui.navigator with type arguments of type IWizardDescriptor
Modifier
Constructor
Description
``
`WizardActionGroup(IWorkbenchWindow aWindow, IWizardRegistry aWizardRegistry, String aType, INavigatorContentService aContentService, Predicate<IWizardDescriptor> descriptorFilter, boolean useSeparators)`

## Uses of IWizardDescriptor in org.eclipse.ui.wizards

Methods in org.eclipse.ui.wizards that return IWizardDescriptor
Modifier and Type
Method
Description
`IWizardDescriptor`
IWizardCategory.`findWizard(String id)`
Find a wizard that has the provided id.
`IWizardDescriptor`
IWizardRegistry.`findWizard(String id)`
Find a wizard with the given id.
`IWizardDescriptor[]`
IWizardRegistry.`getPrimaryWizards()`
Return the wizards that have been designated as "primary".
`IWizardDescriptor[]`
IWizardCategory.`getWizards()`
Return the wizards in this category, minus the wizards which failed the Expressions check.